<?php

function fn_report_init_sales_table_variable($snippet, $context, $variable_collection)
{
    $object_factory = Tygh::$app['template.object_factory'];
    $config = array(
        'class' => '\Tygh\Template\Snippet\Table\TableVariable',
        'arguments' => array(
            '#context', '#snippet', '@template.renderer',
            '@template.snippet.table.column_repository',
            '@template.variable_collection_factory',
            '#items'
        ),
        'name' => 'sales_table'
    );

    $reports = $context->getReportsExtendsData();
    $report = !empty($reports['report']) ? $reports['report'] : array();

    $variable = new \Tygh\Template\VariableProxy(
        $config,
        $context,
        $object_factory,
        array('snippet' => $snippet, 'items' => $report)
    );

    $variable_collection->add('sales_table', $variable);
}
