<?php

namespace Tygh\Addons\ReportsExtends;

use Pimple\Container;
use Pimple\ServiceProviderInterface;
use Tygh\Addons\ReportsExtends\Documents\Reports\Type;

class ServiceProvider implements ServiceProviderInterface
{
    /**
     * @inheritDoc
     */
    public function register(Container $app)
    {
        $app['template.document.reports_extends.type'] = function ($app) {
            return new Type($app['template.document.repository'], $app['db'], $app['template.renderer'], $app['template.variable_collection_factory']);
        };
    }
}